<?php

namespace App\Jobs;

use Intergo\Log\GrayLogHandler;
use Intergo\UserCallbackClient\Jobs\BaseSendUserCallback;
use Intergo\UserCallbackClient\ValueObjects\UserCallbackData;

class SendUserCallback extends BaseSendUserCallback
{
    /**
     * @param UserCallbackData $data
     * @param int $priority
     * @param int $jobsCount
     * @param string $traceId
     */
    public function __construct(UserCallbackData $data, int $priority, int $jobsCount, string $traceId)
    {
        app(GrayLogHandler::class)->info("Prepare callback to user");
        parent::__construct($data, $priority, $jobsCount, $traceId);
    }
}
